## osso-wlan 1.1.10

=== Makefile ===
# WLAN Connection Daemon Makefile

VERSION = $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*:\|\)//p')
#
CC = gcc
SRC = ./
DESTDIR =
LIBDIR ?= libs
BINDIR = $(DESTDIR)/usr/sbin
DBUSDIR = $(DESTDIR)/etc/dbus-1/system.d
BINARY = wlancond

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m644

# Disable deprecated APIs
CPPFLAGS += -DGCONF_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED

# Build system flags
CFLAGS += $(BCFLAGS)

# General flags
CFLAGS += -DVERSION=\"$(VERSION)\" -D_GNU_SOURCE -I$(LIBDIR)

# Debug flags
#CFLAGS += -g -ggdb -DDEBUG -O0 -rdynamic -DACTIVITY_CHECK
CFLAGS += -DDEBUG
CFLAGS += -DUSE_MCE_MODE

# Library flags
CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1 dbus-glib-1`
LDFLAGS  += `pkg-config --libs glib-2.0 gconf-2.0 dbus-1 dbus-glib-1`

# Wireless tools library, NOTE under GPL
LDFLAGS += -liw

LINTFLAGS := $(CFLAGS) +posixlib +unixlib +ignorequals -predboolint \
                -shiftnegative -nullassign -compdef +charintliteral \
                +longunsignedintegral -nullret -usedef -nullpass -preproc 

# Removed -Wcast-align because of warnings in scratchbox
DEBUG_CFLAGS = -Wall -Wwrite-strings -Wmissing-declarations \
        -Werror -Wmissing-prototypes -Wstrict-prototypes \
	-Wunused -Wunused-function -Wunused-variable -Wunused-value \
	-Wsign-compare -Wpointer-arith -Wundef -Wbad-function-cast \
	-Waggregate-return -Wmissing-noreturn -Wnested-externs \
	-Wchar-subscripts -Wformat-security -Wformat=2 -Wno-format-nonliteral
	#-Wunreachable-code -Wshadow -std=c99

MCFLAGS := $(CFLAGS) $(DEBUG_CFLAGS)

CFLAGS += $(DEBUG_CFLAGS)

OBJECTS = main.o dbus-handler.o dbus-signal.o wpa.o

EXT_OBJ = $(LIBDIR)/daemon.o $(LIBDIR)/dbus-helper.o $(LIBDIR)/dbus.o

all: $(BINARY)

$(BINARY): $(OBJECTS) $(EXT_OBJ)
	$(CC) $(LDFLAGS) $(OBJECTS) $(EXT_OBJ) -o $(BINARY)

.PHONY: clean doc install

install: $(BINARY)
	$(INSTALL_PROGRAM) -d $(BINDIR) $(DBUSDIR)
	$(INSTALL_PROGRAM) $(BINARY) $(BINDIR)
	$(INSTALL_DATA) wlancond.conf $(DBUSDIR)

clean:
	$(RM) $(OBJECTS) $(BINARY) $(BINARY_WI) *~
	$(MAKE) -C $(LIBDIR) clean

doc:
	doxygen doxygen.cfg

=== debian/changelog ===
osso-wlan (1.1.10) unstable; urgency=low

  * Fixes NB#44733 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 10 Nov 2006 13:50:28 +0200

osso-wlan (1.1.9) unstable; urgency=low

  * Fixes NB#46000

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed,  1 Nov 2006 15:19:31 +0200

osso-wlan (1.1.8) unstable; urgency=low

  * Intermediate version 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed,  1 Nov 2006 13:20:10 +0200

osso-wlan (1.1.7) unstable; urgency=low

  * A broken fix  

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 26 Oct 2006 10:40:07 +0300

osso-wlan (1.1.6) unstable; urgency=low

  *  Send scan results before shutting down. Fixes NB#43246

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 16 Oct 2006 14:19:33 +0300

osso-wlan (1.1.5) unstable; urgency=low

  * Improved WLAN power management. Fixes NB#43172

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 10 Oct 2006 15:55:22 +0300

osso-wlan (1.1.4) unstable; urgency=low

  * change#1: cleaned scan results handling and made it slightly more
    	      efficient 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon,  2 Oct 2006 09:43:39 +0300

osso-wlan (1.1.3) unstable; urgency=low

  * change#1: Tighten the DBUS filter for MCE signals if we are not interested in activity status (default)  

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 27 Sep 2006 12:06:02 +0300

osso-wlan (1.1.2) unstable; urgency=low

  * fixes: Bug#38989 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 29 Aug 2006 10:56:29 +0300

osso-wlan (1.1.1) unstable; urgency=low

  * change#1: Fix a possible error with APs that have IEs but no
              encryption

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 24 Aug 2006 11:42:19 +0300

osso-wlan (1.1.0) unstable; urgency=low

  * change#1: Deauthentication disconnects EAP daemon
    change#2: Removed unnecessary cover checking

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 13 Jun 2006 13:30:09 +0300

## osso-wlan 1.1.13

=== debian/changelog ===
osso-wlan (1.1.13) unstable; urgency=low

  * Fixes: NB#50695 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 26 Jan 2007 11:06:58 +0200

osso-wlan (1.1.12) unstable; urgency=low

  * Improved power save setting to allow setting interface off when
    not connected 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 21 Nov 2006 09:33:17 +0200

osso-wlan (1.1.11) unstable; urgency=low

  * Fixes: NB#47810 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 20 Nov 2006 13:32:08 +0200

## osso-wlan 1.2.1

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 CFLAGS += -DVERSION=\"$(VERSION)\" -D_GNU_SOURCE -I$(LIBDIR)
 
 # Debug flags
-#CFLAGS += -g -ggdb -DDEBUG -O0 -rdynamic -DACTIVITY_CHECK
+#CFLAGS += -g -ggdb -DDEBUG -O0 -rdynamic 
 CFLAGS += -DDEBUG
-CFLAGS += -DUSE_MCE_MODE
+CFLAGS += -DUSE_MCE_MODE -DACTIVITY_CHECK
 
 # Library flags
 CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1 dbus-glib-1`

=== debian/changelog ===
osso-wlan (1.2.1) unstable; urgency=low

  *  Fixes: NB#53833

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Sun, 22 Apr 2007 10:42:43 +0300

osso-wlan (1.2.0) unstable; urgency=low

  * Fixes: NB#51804 
  * Fixes: NB#51803

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 22 Feb 2007 14:02:36 +0200

=== debian/control ===
Source: osso-wlan
Section: net
Priority: optional
Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libdbus-glib-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev(>=1.0.2), mce-dev, cx3110x-headers, osso-ic-dev
Standards-Version: 3.6.0

Package: osso-wlan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dsme
Recommends: mce
Description: WLAN control daemon
 Provides DBUS API for controlling WLAN

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




#CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) BCFLAGS="$(CFLAGS)"
	#/usr/bin/docbook-to-man debian/osso-wlan.sgml > osso-wlan.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osso-wlan.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installinit --name=wlancond -- start 30 2 3 4 . stop 20 0 1 5 6 .
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## osso-wlan 1.3.6

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,8 @@
 CFLAGS += -DUSE_MCE_MODE -DACTIVITY_CHECK
 
 # Library flags
-CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1 dbus-glib-1`
-LDFLAGS  += `pkg-config --libs glib-2.0 gconf-2.0 dbus-1 dbus-glib-1`
+CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1`
+LDFLAGS  += `pkg-config --libs glib-2.0 gconf-2.0 dbus-1`
 
 # Wireless tools library, NOTE under GPL
 LDFLAGS += -liw

=== debian/changelog ===
osso-wlan (1.3.6) unstable; urgency=low

  * Change scan threshold when idle. Fixes: NB#68735 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 07 Sep 2007 11:04:17 +0300

osso-wlan (1.3.5) unstable; urgency=low

  * Use maximum powersave as default value. Fixes: NB#67646 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 31 Aug 2007 12:05:44 +0300

osso-wlan (1.3.4) unstable; urgency=low

  * Fix Gconf path prefix to make some of the WLAN settings work again

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 13 Aug 2007 10:54:29 +0300

osso-wlan (1.3.3) unstable; urgency=low

  * Changed init order. Fixes: NB#60082

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 14 Jun 2007 14:16:22 +0300

osso-wlan (1.3.2) unstable; urgency=low

  * Fixed flags in settings_and_connect. Fixes: NB#60569

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 14 Jun 2007 11:23:07 +0300

osso-wlan (1.3.1) unstable; urgency=low

  * Fixes: NB#57020
    Fixes: NB#55655

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 07 Jun 2007 10:57:49 +0300

osso-wlan (1.3.0) unstable; urgency=low

  * New major version.

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 22 Feb 2007 14:02:36 +0200

=== debian/control ===
Source: osso-wlan
Section: net
Priority: optional
Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev (>= 1.0.10), mce-dev, cx3110x-headers, osso-ic-dev
Standards-Version: 3.6.0

Package: osso-wlan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dsme
Recommends: mce
Description: WLAN control daemon
 Provides DBUS API for controlling WLAN

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 
-#CFLAGS = -Wall -g
+CFLAGS = -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -76,7 +76,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installinit --name=wlancond -- start 30 2 3 4 . stop 20 0 1 5 6 .
+	dh_installinit --name=wlancond -- start 58 2 3 4 . stop 20 0 1 5 6 .
 #	dh_installexamples
 #	dh_install
 #	dh_installmenu

## osso-wlan 1.3.10

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 CFLAGS += -DUSE_MCE_MODE -DACTIVITY_CHECK
 
 # Library flags
-CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1`
+CFLAGS   += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1 osso-ic`
 LDFLAGS  += `pkg-config --libs glib-2.0 gconf-2.0 dbus-1`
 
 # Wireless tools library, NOTE under GPL

=== debian/changelog ===
osso-wlan (1.3.10) unstable; urgency=low

  * Fix build issues for SDK. Fixes: NB#83881

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 09 Apr 2008 13:52:51 +0300

osso-wlan (1.3.9) unstable; urgency=low

  * Let all hidden SSIDs go through

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 17 Jan 2008 14:34:30 +0200

osso-wlan (1.3.8) unstable; urgency=low

  * Compilation fixes for gcc > 4. Fixes: NB#78742 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 30 Nov 2007 13:26:44 +0200

osso-wlan (1.3.7) unstable; urgency=low

  * Don't try to use wimax interfaces 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 26 Nov 2007 09:03:58 +0200

=== debian/control ===
Source: osso-wlan
Section: net
Priority: optional
Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev (>= 1.0.10), mce-dev, cx3110x-headers, osso-ic-dev | icd2-osso-ic-dev
Standards-Version: 3.6.0

Package: osso-wlan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dsme
Recommends: mce
Description: WLAN control daemon
 Provides DBUS API for controlling WLAN

## osso-wlan 3.0.18+0m5

=== debian/changelog ===
osso-wlan (3.0.18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.0.18+0m5

 -- Laitinen Vesa-Matti <ext-vesa-matti.laitinen@nokia.com>  Tue, 02 Mar 2010 14:26:30 +0200

osso-wlan (3.0.18) unstable; urgency=low

  * Fixed: NB#158967 - Wlancond has unneeded build dependencies

 -- Sami Enne <ext-sami.enne@nokia.com>  Tue, 2 Mar 2010 14:04:12 +0200

osso-wlan (3.0.17) unstable; urgency=low

  * Fixed: NB#157496 -  WLAN connection not disconnected after moving out
    of range

 -- Jason Rudd <ext-jason.rudd@nokia.com>  Thu, 19 Jan 2010 15:20:49 +0200

osso-wlan (3.0.16) unstable; urgency=low

  * Fixed: NB#154505 - WEP with shared key authentication fails with PR1.1.1 release 

 -- Jason Rudd <ext-jason.rudd@nokia.com>  Tue, 17 Jan 2010 15:02:49 +0200

osso-wlan (3.0.15) unstable; urgency=low

  * Fixed: NB#147637 - Wlan Ui does not know connection state

 -- Sami Enne <ext-sami.enne@nokia.com>  Tue, 19 Jan 2010 09:41:03 +0200

osso-wlan (3.0.14) unstable; urgency=low

  * Fixes: NB#122701 - Enable doc generation in osso-wlan code 

 -- Jason Rudd <ext-jason.rudd@nokia.com>  Wed, 16 Dec 2009 13:23:45 +0200

osso-wlan (3.0.13) unstable; urgency=low

  * Fixes: NB#149000 - Wlan does not reconnect until rebooted

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 03 Dec 2009 08:43:04 +0200

osso-wlan (3.0.12) unstable; urgency=low

  * Fixes: NB#150438 - WLAN might get stuck to some access point

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 11 Dec 2009 13:19:20 +0200

osso-wlan (3.0.11) unstable; urgency=low

  * Fixes: NB#142549 - The device should not autoconnect too weak WLAN

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 20 Nov 2009 11:13:24 +0200

osso-wlan (3.0.10) unstable; urgency=low

  * Fixes: NB#138570 - BT-audio (HFP) gets distorted if WLAN connection
  is active

 -- Sami Enne <ext-sami.enne@nokia.com>  Tue, 21 Oct 2009 19:20:19 +0300

osso-wlan (3.0.9) unstable; urgency=low

  * Intendentation fixes

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 20 Oct 2009 09:39:39 +0300

osso-wlan (3.0.8) unstable; urgency=low

  * Fixes: NB#128044 - Connection drop in WLAN certification test with
    powersave

 -- Sami Enne <ext-sami.o.enne@nokia.com>  Fri, 02 Oct 2009 11:44:34 +0300

osso-wlan (3.0.7) unstable; urgency=low

  * Fixes: NB#140684 - Too much scanning when the signal is fluctuating

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 06 Oct 2009 12:47:39 +0300

osso-wlan (3.0.6) unstable; urgency=low

  * Fixes: NB#134732 - Receiving beacon consumes too much power

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 18 Sep 2009 16:13:11 +0300

osso-wlan (3.0.5) unstable; urgency=low

  * Fixes: NB#135286 - Make sure calibration is always done 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 28 Aug 2009 13:34:20 +0300

osso-wlan (3.0.4) unstable; urgency=low

  * Fixes: NB#125844 - Connection problems with a WPA2 access point 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 26 Aug 2009 09:45:47 +0300

osso-wlan (3.0.3) unstable; urgency=low

  * Fixes: NB#126105 - Wlancond printing too much debug information 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 13 Jul 2009 12:49:37 +0300

osso-wlan (3.0.2) unstable; urgency=low

  * Implemented dynamic WLAN regulatory handling

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 11 Jun 2009 14:42:40 +0300

osso-wlan (2.0.47) unstable; urgency=low

  * Make scanning more robust by always removing old scan before adding new

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 03 Jun 2009 09:55:13 +0300

osso-wlan (2.0.46) unstable; urgency=low

  * Fixes: NB#109251 - Use final CAM timeout values in WLAN PSM 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 28 May 2009 13:51:04 +0300

osso-wlan (2.0.45) unstable; urgency=low

  * Fixed a bug which caused sometimes power save to be left on in 
    adhoc when switching from infra to adhoc.
  * In adhoc SIOCGIWRATE seems to return an error. Let's ignore it now to
    allow other information to be available for callers.

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 27 May 2009 12:13:31 +0300

osso-wlan (2.0.44) unstable; urgency=low

  * Fixes: NB#117352 - WPS certification bug fix for multiple registrars 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 25 May 2009 14:20:28 +0300

osso-wlan (2.0.43) unstable; urgency=low

  * Fixes: NB#114692 - Remove scan timer when scan was finished 
    abnormally
  * Fixes: NB#109495 - osso-wlan build depends on both icd2-dev and 
    icd2-osso-ic-dev

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 15 May 2009 12:31:37 +0300

osso-wlan (2.0.42) unstable; urgency=low

  * Fixes: NB#108524 - Roaming test failed in the certification
  * Removed spurious disconnect events and added set_wpa_ie() in handle_wap_event()
    and added call to schedule_scan() in handle_custom_event() function in
    dbus-signal.c. Added schedule_scan() function in dbus-handler.c to delay the
    scanning in case of LOW signal while roaming.

 -- Usman Rahim <usman.rahim@nokia.com>  Fri,  3 Apr 2009 17:12:12 +0300

osso-wlan (2.0.41) unstable; urgency=low

  * Don't choose the BSSID in adhoc. Fixes: NB#101156 - Device could not 
    connect to Ad-Hoc WLAN network

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 16 Mar 2009 14:22:41 +0200

osso-wlan (2.0.40) unstable; urgency=low

  * Fixes: NB#105898 - WLAN is in full power save mode all the time when
    connected 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Sat, 14 Mar 2009 12:15:07 +0200

osso-wlan (2.0.39) unstable; urgency=low

  * Don't roam in WPS state 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Sat, 14 Mar 2009 10:57:58 +0200

osso-wlan (2.0.38) unstable; urgency=low

  * Removed DBUS check for method call. 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 03 Mar 2009 12:27:49 +0200

osso-wlan (2.0.37) unstable; urgency=low

  * Don't call dbus_connection_flush()


=== debian/control ===
Source: osso-wlan
Section: net
Priority: optional
Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev (>= 1.0.21), mce-dev, icd2-osso-ic-dev, upstart-dev
Standards-Version: 3.7.2

Package: osso-wlan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mce, dsme
Description: WLAN control daemon
 Provides DBUS API for controlling WLAN

Package: osso-wlan-dbg
Section: devel
Priority: extra
Architecture: any
Depends: osso-wlan (= ${Source-Version})
Description: Debug symbols for osso-wlan
 This package provides debug symbols for osso-wlan.

Package: osso-wlan-doc
Section: net 
Architecture: any
Description: Wireless LAN Connection Daemon documentation
 This package provides documentation for osso-wlan

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-
+	--enable-docs
 	touch configure-stamp
 
 
@@ -41,6 +41,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE) BCFLAGS="$(CFLAGS)"
+	$(MAKE) doc
 	#/usr/bin/docbook-to-man debian/osso-wlan.sgml > osso-wlan.1
 
 	touch build-stamp
@@ -51,7 +52,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean 
 
@@ -76,7 +77,9 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installchangelogs 
 	dh_installdocs
+	dh_installdocs --package=osso-wlan-doc doc
 	dh_installinit --name=wlancond -- start 58 2 3 4 . stop 20 0 1 5 6 .
+	dh_installupstart --name=wlancond
 #	dh_installexamples
 #	dh_install
 #	dh_installmenu
@@ -90,7 +93,7 @@
 #	dh_installinfo
 #	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package="osso-wlan"
 	dh_compress
 	dh_fixperms
 #	dh_perl

## osso-wlan 3.0.20%2b0m5

=== debian/changelog ===
osso-wlan (3.0.20+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.0.20+0m5

 -- Tuomo Paqvalin <ext-tuomo.c.paqvalin@nokia.com>  Mon, 05 Jul 2010 12:19:58 +0300

osso-wlan (3.0.20) unstable; urgency=low

  * Fixed:  NB#159194 - Add support for WEP cipher in WPA mode to support
    Eduroam, fixes the regression

 -- Jin Qing <ext-qing.1.jin@nokia.com>  Fri,  2 Jul 2010 10:34:40 +0300

osso-wlan (3.0.19) unstable; urgency=low

  * Fixed: NB#159194 - Add support for WEP cipher in WPA mode to support
    Eduroam

 -- Sami Enne <ext-sami.enne@nokia.com>  Wed, 2 Jun 2010 15:04:22 +0300

## osso-wlan 3.0.20.1+0cssu4

=== Makefile ===
--- 
+++ 
@@ -41,18 +41,18 @@
 
 # Removed -Wcast-align because of warnings in scratchbox
 DEBUG_CFLAGS = -Wall -Wwrite-strings -Wmissing-declarations \
-        -Werror -Wmissing-prototypes -Wstrict-prototypes \
+        -Wmissing-prototypes -Wstrict-prototypes \
 	-Wunused -Wunused-function -Wunused-variable -Wunused-value \
 	-Wsign-compare -Wpointer-arith -Wundef -Wbad-function-cast \
 	-Waggregate-return -Wmissing-noreturn -Wnested-externs \
 	-Wchar-subscripts -Wformat-security -Wformat=2 -Wno-format-nonliteral
-	#-Wunreachable-code -Wshadow -std=c99
+	#-Wunreachable-code -Wshadow -std=c99 -Werror
 
 MCFLAGS := $(CFLAGS) $(DEBUG_CFLAGS)
 
 CFLAGS += $(DEBUG_CFLAGS)
 
-OBJECTS = main.o dbus-handler.o dbus-signal.o wpa.o
+OBJECTS = main.o dbus-handler.o dbus-signal.o wpa.o wps.o
 
 EXT_OBJ = $(LIBDIR)/daemon.o $(LIBDIR)/dbus-helper.o $(LIBDIR)/dbus.o

=== libs/Makefile ===
clean:
	$(RM) *.o *~

=== debian/changelog ===
osso-wlan (3.0.20.1+0cssu4) unstable; urgency=low

  * Delay interface down when disconnecting
  * Do not down interface immediately after disassociation
    --> Fixes another oops in packet injection driver

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 21 Dec 2015 14:11:35 +0100

osso-wlan (3.0.20.1+0cssu3) unstable; urgency=low

  * Do not scan after disassociation, because it oops packet injection driver
  * Fix compile error "GPL Ghostscript 8.50: Unrecoverable error, exit code 1"
    Add build dependency on ghostscript package (instead gs-gpl)

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 20 Dec 2015 14:09:45 +0100

osso-wlan (3.0.20.1+0cssu2) unstable; urgency=low

  * Fix `killall -9 eapd` used to recover from eapd blocking additional EAP
    wireless connections which would hang the connection attempt and prompt
    the user to try to connect again (and again).
  * Fix compile error "!!! Error: Cannot open Ghostscript for piped input!"
    Add build dependency on gs-gpl package.

 -- David Fries <David@Fries.net>  Sat, 11 Aug 2012 19:49:06 -0500

osso-wlan (3.0.20.1+0cssu1) unstable; urgency=low

  * Follow CSSU numbering scheme

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 17 Jan 2012 23:08:06 +0200

osso-wlan (3.0.20+0m5-1) unstable; urgency=low

  * Fixed: WLAN connection get stuck after disconnecting through moving
    out of range (in combination with compat-wireless driver)

 -- David Gnedt <david.gnedt@davizone.at>  Sun, 21 Nov 2010 15:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev (>= 1.0.21), mce-dev, icd2-osso-ic-dev, upstart-dev
+Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev, libglib2.0-dev (>= 2.6.0), libgconf2-dev, libiw-dev, libosso-dev, osso-wlan-dev (>= 1.0.21), mce-dev, icd2-osso-ic-dev, upstart-dev, ghostscript
 Standards-Version: 3.7.2
 
 Package: osso-wlan

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	--enable-docs
 	touch configure-stamp
